function AsciiToMqttJsonCommon()
{
  var GetMqttJsonGroupName = function(){return AsciiToMqttJsonCommon.prototype._GetMqttJsonGroupName_();};
  var GetAzureName = function(){return AsciiToMqttJsonCommon.prototype._GetAzureName_();};
  var GetConnectionName = function(){return AsciiToMqttJsonCommon.prototype._GetConnectionName_();};

  var ArrayInteraction = function(FirstArray, SecondArray){return AsciiToMqttJsonCommon.prototype._ArrayInteraction_(FirstArray, SecondArray);};
  var ArrayComplement = function(FirstArray, SecondArray){return AsciiToMqttJsonCommon.prototype._ArrayComplement_(FirstArray, SecondArray);};
}










function AsciiToMqttJsonUpdatePage()
{
	var SaveGlobalVariable = function(Row){AsciiToMqttJsonUpdatePage.prototype._SaveGlobalVariable_(Row);};
	var IsSaveGlobalVariable = function(){return AsciiToMqttJsonUpdatePage.prototype._IsSaveGlobalVariable_();};
	var ShowFirstPage = function(){AsciiToMqttJsonUpdatePage.prototype._ShowFirstPage_();};
	this.Initialization = function(){AsciiToMqttJsonUpdatePage.prototype._Initialization_();};
}










function AsciiToMqttJsonFirstPage()
{
  this.SetConnectionName = function(that){AsciiToMqttJsonFirstPage.prototype._SetConnectionName_(that);};
  this.ChangeConnectionName = function(that){AsciiToMqttJsonFirstPage.prototype._ChangeConnectionName_(that);};
  var LoadConnectionName = function(){AsciiToMqttJsonFirstPage.prototype._LoadConnectionName_();};
  var ApplyButton = function(index, number, Combobox){AsciiToMqttJsonFirstPage.prototype._ApplyButton_(index, number, Combobox);};

  var UpdateTableToolbar = function(ObjectKey, DisplayNumber){AsciiToMqttJsonFirstPage.prototype._UpdateTableToolbar_(ObjectKey, DisplayNumber);};
  this.ShowPreviousPage  = function(){AsciiToMqttJsonFirstPage.prototype._ShowPreviousPage_();};
  this.ShowNextPage      = function(){AsciiToMqttJsonFirstPage.prototype._ShowNextPage_();};

  var ShowTable          = function(ObjectKey, DisplayNumber){AsciiToMqttJsonFirstPage.prototype._ShowTable_(ObjectKey, DisplayNumber);};

  this.RedisplayUi       = function(){AsciiToMqttJsonFirstPage.prototype._RedisplayUi_();};

  var GetAllDeviceName   = function(){return AsciiToMqttJsonFirstPage.prototype._GetAllDeviceName_();};
  var GetAllNumber = function(){return AsciiToMqttJsonFirstPage.prototype._GetAllNumber_();};
  var GetAllModuleData = function(){return AsciiToMqttJsonFirstPage.prototype._GetAllModuleData_();};

  var IsAllTransformMqttJson = function(){return AsciiToMqttJsonFirstPage.prototype._IsAllTransformMqttJson_();};

  this.Initialization = function(){AsciiToMqttJsonFirstPage.prototype._Initialization_();};

  var TransmissionJson = function(ssocket, Command, JsonString, Callback){AsciiToMqttJsonFirstPage.prototype._TransmissionJson_(ssocket, Command, JsonString, Callback);};
  var SaveFinished = function(that, ssocket){AsciiToMqttJsonFirstPage.prototype._SaveFinished_(that, ssocket);};
  var SaveStart = function(that, ssocket){AsciiToMqttJsonFirstPage.prototype._SaveStart_(that, ssocket);};

  this.EditButton = function(that){AsciiToMqttJsonFirstPage.prototype._EditButton_(that);};
  this.SaveButton = function(that){AsciiToMqttJsonFirstPage.prototype._SaveButton_(that);};
  //Checkbox
  this.ChangeAllCheckbox = function(that){AsciiToMqttJsonFirstPage.prototype._ChangeAllCheckbox_(that);};
  this.ChangeCheckbox = function(that){AsciiToMqttJsonFirstPage.prototype._ChangeCheckbox_(that);};
}










function AsciiToMqttJsonSecondPage()
{
  var LoadConnectionName = function(index, ConnectionGroup){AsciiToMqttJsonSecondPage.prototype._LoadConnectionName_(index, ConnectionGroup);};

  var VariableTableAddNewRow       = function(number){AsciiToMqttJsonSecondPage.prototype._VariableTableAddNewRow_(number);};
  var SetVariableTableNewRowValue  = function(number){AsciiToMqttJsonSecondPage.prototype._SetVariableTableNewRowValue_(number);};
  var SetVariableTableInitialValue = function(number){AsciiToMqttJsonSecondPage.prototype._SetVariableTableInitialValue_(number);};  

  var GetModuleName = function(number){return AsciiToMqttJsonSecondPage.prototype._GetModuleName_(number);};

  var ClearTable = function(number){AsciiToMqttJsonSecondPage.prototype._ClearTable_(number);};
  this.ConfirmButton = function(that){AsciiToMqttJsonSecondPage.prototype._ConfirmButton_(that);};
  this.NoConfirmButton = function(){AsciiToMqttJsonSecondPage.prototype._NoConfirmButton_();};
  this.ShowColumn = function(){AsciiToMqttJsonSecondPage.prototype._ShowColumn_();};
  this.HideColumn = function(){AsciiToMqttJsonSecondPage.prototype._HideColumn_();};

  var ModifyAsciiToMqttJsonVariableObject= function(that){AsciiToMqttJsonSecondPage.prototype._ModifyAsciiToMqttJsonVariableObject_(that);};
  var SetFormInitialValue = function(number){AsciiToMqttJsonSecondPage.prototype._SetFormInitialValue_(number);};
  var SetInitialValue = function(number){AsciiToMqttJsonSecondPage.prototype._SetInitialValue_(number);};

  var GetReadWriteType = function(string){return AsciiToMqttJsonSecondPage.prototype._GetReadWriteType_(string);};

  var AllDataIsCorrect = function(){AsciiToMqttJsonSecondPage.prototype._AllDataIsCorrect_();};

  this.CheckAlias = function(that){AsciiToMqttJsonSecondPage.prototype._CheckAlias_(that);};
}